$(document).ready(function() {
  barChart1();
  barChart2();
  barChart3();
  donutChart();
  barChart5();
  barChart6();

  $(window).resize(function() {
    window.barChart1.redraw();
    window.barChart2.redraw();
    window.barChart3.redraw();
    window.donutChart.redraw();
    window.barChart5.redraw();
    window.barChart6.redraw();
  });
});

function barChart1() {
  window.barChart1 = Morris.Bar({
    element: 'bar-chart1',
    data: [
      { y: 'Enero', a: 100, b: 90 },
      { y: 'Febrero', a: 75,  b: 65 },
      { y: 'Marzo', a: 50,  b: 40 },
      { y: 'Abril', a: 75,  b: 65 },
      { y: 'Mayo', a: 50,  b: 40 },
      { y: 'Junio', a: 75,  b: 65 },
      { y: 'Julio', a: 75,  b: 65 },	  
      { y: 'Agosto', a: 100, b: 90 },
      { y: 'Septiembre', a: 100, b: 90 },
      { y: 'Octubre', a: 100, b: 90 },
      { y: 'Noviembre', a: 100, b: 90 },
      { y: 'Diciembre', a: 100, b: 90 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Ventas', 'Costos + Gastos'],
    lineColors: ['#1e88e5','#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
}

function barChart2() {
  window.barChart2 = Morris.Bar({
    element: 'bar-chart2',
    data: [
      { y: 'Producto 1', a: 200 },
      { y: 'Producto 2', a: 150 },
      { y: 'Producto 3', a: 100 },
      { y: 'Producto 4', a: 150 },
      { y: 'Producto 5', a: 100 },
      { y: 'Producto 6', a: 150 },
      { y: 'Producto 7', a: 75, },	  
      { y: 'Producto 8', a: 200 },
      { y: 'Producto 9', a: 200 },
      { y: 'Producto 10', a: 200 }
    ],
    xkey: 'y',
    ykeys: ['a'],
    labels: ['Ventas'],
    lineColors: ['#1e88e5'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
}

function barChart3() {
  window.barChart3 = Morris.Bar({
    element: 'bar-chart3',
    data: [
      { y: 'Cliente 1', a: 100 },
      { y: 'Cliente 2', a: 75 },
      { y: 'Cliente 3', a: 50 },
      { y: 'Cliente 4', a: 75 },
      { y: 'Cliente 5', a: 50 },
      { y: 'Cliente 6', a: 75 },
      { y: 'Cliente 7', a: 75 },	  
      { y: 'Cliente 8', a: 100 },
      { y: 'Cliente 9', a: 100 },
      { y: 'Cliente 10', a: 100 }
    ],
    xkey: 'y',
    ykeys: ['a'],
    labels: ['Compras'],
    lineColors: ['#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
}

function donutChart() {
  window.donutChart = Morris.Donut({
  element: 'donut-chart',
  data: [
    {label: "Vino", value: 50},
    {label: "Ron", value: 18},
    {label: "Anís", value: 12},
    {label: "Whiskey", value: 9},
    {label: "Sangría", value: 11}
  ],
  resize: true,
  redraw: true
});
}

function barChart5() {
  window.barChart5 = Morris.Bar({
    element: 'bar-chart5',
    data: [
      { y: 'Canal 1', a: 100, b: 90 },
      { y: 'Canal 2', a: 75,  b: 65 },
      { y: 'Canal 3', a: 50,  b: 40 },
      { y: 'Canal 4', a: 75,  b: 65 },
      { y: 'Canal 5', a: 50,  b: 40 },
      { y: 'Canal 6', a: 75,  b: 65 },
      { y: 'Canal 7', a: 75,  b: 65 },	  
      { y: 'Canal 8', a: 100, b: 90 },
      { y: 'Canal 9', a: 100, b: 90 },
      { y: 'Canal 10', a: 100, b: 90 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Meta', 'Cumplimiento'],
    lineColors: ['#1e88e5','#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
}

function barChart6() {
  window.barChart6 = Morris.Bar({
    element: 'bar-chart6',
    data: [
      { y: 'Vendedor 1', a: 100, b: 90 },
      { y: 'Vendedor 2', a: 75,  b: 65 },
      { y: 'Vendedor 3', a: 50,  b: 40 },
      { y: 'Vendedor 4', a: 75,  b: 65 },
      { y: 'Vendedor 5', a: 50,  b: 40 },
      { y: 'Vendedor 6', a: 75,  b: 65 },
      { y: 'Vendedor 7', a: 75,  b: 65 },	  
      { y: 'Vendedor 8', a: 100, b: 90 },
      { y: 'Vendedor 9', a: 100, b: 90 },
      { y: 'Vendedor 10', a: 100, b: 90 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Meta', 'Cumplimiento'],
    lineColors: ['#1e88e5','#ff3321'],
    lineWidth: '3px',
    resize: true,
    redraw: true
  });
}

function pieChart() {
  var paper = Raphael("pie-chart");
paper.piechart(
  100, // pie center x coordinate
  100, // pie center y coordinate
  90,  // pie radius
   [18.373, 18.686, 2.867, 23.991, 9.592, 0.213], // values
   {
   legend: ["Windows/Windows Live", "Server/Tools", "Online Services", "Business", "Entertainment/Devices", "Unallocated/Other"]
   }
 );
}
